exif(1)

NOM
exif – Afficher les informations EXIF des fichiers JPEG

SYNOPSIS
exif [ OPTION ] [ fichier... ]

DESCRIPTION
exif est un petit utilitaire en ligne de commande pour afficher et modifier les informations EXIF des fichiers JPEG.

La plupart des appareils photographiques produisent des fichiers EXIF qui sont des fichiers JPEG avec des indications supplémentaires fournissant des informations sur l’image. L’utilitaire exif en ligne de commande permet de lire les informations EXIF de ces fichiers ou d’y écrire des informations EXIF. exif utilise en interne la bibliothèque libexif.

Chaque fichier d’entrée fourni sur la ligne de commande est traité successivement en utilisant toutes les options indiquées. L’exécution s’arrête si un fichier n’est pas lisible ou ne contient pas d’étiquettes EXIF.

Au fur et à mesure que les étiquettes EXIF sont lues, chaque étiquette inconnue est supprimée et celles qui sont connues sont converties automatiquement dans le format correct si elles ne le sont pas déjà. Les étiquettes MakerNote (Ndt : champ binaire propriétaire spécifique au fabricant) corrompues sont aussi supprimées, mais aucune modification de format n’est réalisée.

OPTIONS

-v, --version
    Afficher le numéro de version d’exif.

-i, --ids
    Afficher les numéros d’identification plutôt que les noms d’étiquette.

-t, --tag=ÉTIQUETTE
    Sélectionner seulement cette ÉTIQUETTE. ÉTIQUETTE est un titre d’étiquette, son nom court ou le numéro d’étiquette (les nombres hexadécimaux sont préfixés avec 0x) à partir de l’IFD (Image File Directory) spécifié avec --ifd. Le titre d’étiquette varie selon les paramètres régionaux tandis que le nom et le numéro sont indépendants de ces paramètres.

--ifd=IFD
    Sélectionner une ou des étiquettes à partir de cet IFD. Les valeurs autorisées sont « 0 », « 1 », « EXIF », « GPS » et « Interoperability » (par défaut « 0 »).

-l, --list-tags
    Lister toutes les étiquettes EXIF et IFD connues. Une image JPEG doit être fournie et les étiquettes qui apparaissent dans le fichier sont affichées avec un astérisque dans la position correspondante de la liste.

-|, --show-mnote
    Afficher le contenu de l’étiquette MakerNote. Ce contenu n’est pas normalisé (et souvent non documenté) et peut, par conséquent, ne pas être identifié ou, s’il est identifié, ne sera pas obligatoirement interprété correctement.

--remove
    Supprimer l’étiquette ou, en son absence, l’IFD entier.

-s, --show-description
    Afficher une description de l’étiquette. L’option --tag doit être aussi indiquée.

-e, --extract-thumbnail
    Extraire l’imagette et écrire celle-ci dans le fichier spécifié avec --output.

-r, --remove-thumbnail
    Supprimer l’imagette de l’image et écrire la nouvelle image dans le fichier spécifié avec --output.

-n, --insert-thumbnail=FICHIER
    Insérer FICHIER comme imagette. Aucune vérification n’est réalisée pour assurer que le contenu de FICHIER soit dans un format valable d’imagette.

--no-fixup
    Ne pas essayer de corriger les violations de la spécification EXIF lors de la lecture des étiquettes. Utilisée avec l’option --create-exif, cette option annihile la création des étiquettes obligatoires. Autrement, exif retire les étiquettes illégales ou inconnues, ajoute des étiquettes obligatoires avec leurs valeurs par défaut et modifie le type de données de certaines étiquettes pour correspondre à celles requises par la spécification.

-o, --output=FICHIER
    Écrire l’image produite dans le FICHIER. Si cette option est absente et qu’un fichier d’image doit être écrit, le nom utilisé est le même que celui du fichier d’entrée avec le suffixe « .modified.jpeg ».

--set-value=VALEUR
    Définir les données pour l’étiquette spécifiée avec les options --tag et --ifd à VALEUR. Les valeurs composées de plusieurs éléments sont séparées par des espaces.

-c, --create-exif
    Créer les données EXIF si elles n’existent pas. Les étiquettes obligatoires sont créées avec leurs valeurs par défaut à moins que l’option --no-fixup ne soit indiquée. Cette option peut être utilisée au lieu de spécifier un nom de fichier dans la plupart des cas pour opérer sur les valeurs par défaut de l’ensemble obligatoire d’étiquettes EXIF. Dans ce cas, l’option --output n’a aucun effet et aucun fichier n’est écrit.

-m, --machine-readable
    Produire une sortie dans un format compréhensible par une machine (séparation par des tabulations). Les options --xml-output et --machine-readable sont mutuellement exclusives.

-w, --width=N
    Définir la largeur maximale de la sortie à N caractères (80 par défaut). Cela ne s’applique pas à certains formats de sortie (par exemple, XML).

-x, --xml-output
    Produire une sortie au format XML (quand c’est possible). Les options --xml-output et --machine-readable sont mutuellement exclusives. Il est à remarquer que le schéma XML change avec la régionalisation, et que du XML non valable est parfois produit. Cette option n’est pas recommandée.

-d, --debug
    Afficher les messages de débogage. Lors du traitement d’un fichier contenant des données corrompues, cette option fait aussi que exif essaie de continuer le traitement. Normalement, des données corrompues conduisent à un abandon.

  Options d’aide

-?, --help
    Afficher un message d'aide.

--usage
    Afficher un message succinct d'utilisation.

EXEMPLES
Afficher toutes les étiquettes EXIF reconnues d’une image et leurs contenus avec les étiquettes incorrectes corrigées :

    exif image.jpg

Afficher une table listant toutes les étiquettes EXIF connues et indiquant pour chacune d’elles si elle existe dans l’image fournie :

    exif --list-tags --no-fixup image.jpg

Afficher les détails pour chaque étiquette « XRésolution » trouvée dans l’image fournie :

    exif --tag=XResolution --no-fixup image.jpg

Afficher le contenu brut de l’étiquette « Modèle » dans l’image fournie (avec un caractère de nouvelle ligne à la fin) :

    exif --ifd=0 --tag=Model --machine-readable image.jpg

Extraire l’imagette dans le fichier imagette.jpg :

    exif --extract-thumbnail --output=imagette.jpg image.jpg

Afficher une liste des valeurs numériques de seulement les étiquettes EXIF dans l’IFD d’imagette (IFD1) et les valeurs d’étiquettes :

    exif --ids --ifd=1 --no-fixup image.jpg

Afficher la signification de l’étiquette 0x9209 dans l’IFD « EXIF » selon la spécification EXIF :

    exif --show-description --ifd=EXIF --tag=0x9209

Ajouter une étiquette Orientation avec la valeur « Bas-gauche » (4) à une image existante laissant les étiquettes existantes intactes :

    exif --output=new.jpg --ifd=0 --tag=0x0112 --set-value=4 --no-fixup image.jpg

Ajouter une étiquette Sub-Sampling YCbCr avec comme valeur 2,1 (c’est-à-dire YCbCr 4:2:2) à une image existante et corriger les étiquettes existantes si nécessaire :

    exif --output=new.jpg --tag=YCbCrSubSampling --ifd=0 --set-value='2 1' image.jpg

Supprimer l’étiquette « Commentaire de l’utilisateur » d’une image :

    exif --output=new.jpg --remove --tag="Commentaire de l'utilisateur" --ifd=EXIF image.jpg

Afficher un table de toutes les étiquettes EXIF connues en notant celles qui sont obligatoires :

    exif -cl

AUTEUR
exif a été écrit par Lutz Mueller <lutz@users.sourceforge.net> et de nombreux contributeurs. Cette page de manuel est sous copyright © 2002-2012, Thomas Pircher, Dan Fandrich et d’autres.

VOIR AUSSI
https://libexif.github.io/ (https://libexif.github.io/)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.